package cd.casic.plugin.exception;

import jakarta.validation.constraints.Null;
import org.springframework.lang.Nullable;
import org.springframework.web.server.ServerWebInputException;

/**
 * @description: 参数不满足的异常
 * @author: mianbin
 * @date: 2025/5/14 15:27
 * @version: 1.0
 */
public class UnsatisfiedAttributeValueException extends ServerWebInputException {

    public UnsatisfiedAttributeValueException(String reason) {
        super(reason);
    }

    public UnsatisfiedAttributeValueException(String reason, @Nullable String messageDetailCode,
                                              @Null Object[] messageDetailArguments) {
        super(reason, null, null, messageDetailCode, messageDetailArguments);
    }
}
